/*
** Sequelize error code series starts from 1001
** Cassandra error code series starts from 2001
** undefined error code series starts from 3001
** Business logic error code series starts from 5001
** Internal error code series starts from 7001
*/

var constants = {};

constants.SUCCESS = 200;
constants.CREATED = 201;

constants.SEQUELIZE_DATABASE_ERROR = 1001;
constants.SEQUELIZE_VALIDATION_ERROR = 1002;

constants.CASSANDRA_DATABASE_ERROR = 2001;
constants.CASSANDRA_VALIDATION_ERROR = 2002;

constants.UNDEFINED_DATABASE_ERROR = 3001;
constants.UNDEFINED_ERROR = 3002;

constants.USER_DUPLICATION_ERROR = 5001;
constants.USER_NOT_FOUND = 5002;
constants.COMPARE_PASSWORD_ERROR = 5003;
constants.PASSWORD_NOT_MATCH = 5004;
constants.VALID_CREDENTIALS = 5005;
constants.EMAIL_ALREADY_EXIST = 5006;
constants.INVALID_QUERY_PARAMETERS = 5007;
constants.ERROR_OCCURED_IN_GETTING_USER_LIST= 5008;
constants.UPDATE_DATA_ERROR= 5009;
constants.DELETE_DATA_ERROR = 5010;
constants.KEY_ALREADY_USED = 5011;
constants.ERROR_OCCURED_IN_GETTING_MASTER_LIST = 5012;

constants.INVALID_JSON_OBJECT = 7001;

constants.SEQUELIZE_DATABASE_ERROR_NAME = 'SequelizeDatabaseError';
constants.SEQUELIZE_VALIDATION_ERROR_NAME = 'SequelizeValidationError';
constants.CASSANDRA_VALIDATION_ERROR_NAME = 'apollo.model.validator.invalidvalue';

module.exports = constants;